<hr>
<div class="card mb-3" style="max-width: 540px;">
    <app-visitor [Visitor]="Visitor"></app-visitor>
    <button [disabled]="!CanHeRate"  class="btn btn-success" (click)="Rate()"> Rate</button>
    <hr>
    <button [disabled]="isShowReviews && Visitor?.reviewsCount!=0 "  class="btn btn-success" (click)="ShowAllReviews()">review details</button>
  </div>
  <app-reviews *ngIf="Visitor?.reviewsCount!=0 && isShowReviews"  (size)="50"   [(reviews)]="Visitor.visitorReviews" ></app-reviews>

